# Uses of Interface
org.eclipse.microprofile.openapi.models.links.Link

Packages that use Link
Package
Description
org.eclipse.microprofile.openapi
A set of Java interfaces, annotations and programming models which allow Java developers to natively produce OpenAPI v3.1 documents from their Jakarta REST applications.
org.eclipse.microprofile.openapi.models
A set of interfaces for programmable models and their helper classes, many derived from Swagger Core library.
org.eclipse.microprofile.openapi.models.links
An interface of a model to represent a design-time link for a response.
org.eclipse.microprofile.openapi.models.responses
Model interfaces to describe a single response from an API operation, and an annotation to encapsulate multiple responses from an API operation.

## Uses of Link in org.eclipse.microprofile.openapi

Methods in org.eclipse.microprofile.openapi that return Link
Modifier and Type
Method
Description
`static Link`
OASFactory.`createLink()`
This method creates a new `Link` instance.
`default Link`
OASFilter.`filterLink(Link link)`
Allows filtering of a particular Link.
Methods in org.eclipse.microprofile.openapi with parameters of type Link
Modifier and Type
Method
Description
`default Link`
OASFilter.`filterLink(Link link)`
Allows filtering of a particular Link.

## Uses of Link in org.eclipse.microprofile.openapi.models

Methods in org.eclipse.microprofile.openapi.models that return types with arguments of type Link
Modifier and Type
Method
Description
`Map<String,Link>`
Components.`getLinks()`
Returns the links property from a Components instance.
Methods in org.eclipse.microprofile.openapi.models with parameters of type Link
Modifier and Type
Method
Description
`Components`
Components.`addLink(String key, Link link)`
Adds the given link to this Components' map of links with the given string as its key.
Method parameters in org.eclipse.microprofile.openapi.models with type arguments of type Link
Modifier and Type
Method
Description
`default Components`
Components.`links(Map<String,Link> links)`
Sets this Components' links property to the given Map containing keys and reusable link objects.
`void`
Components.`setLinks(Map<String,Link> links)`
Sets this Components' links property to the given Map containing keys and reusable link objects.

## Uses of Link in org.eclipse.microprofile.openapi.models.links

Methods in org.eclipse.microprofile.openapi.models.links that return Link
Modifier and Type
Method
Description
`Link`
Link.`addParameter(String name, Object parameter)`
Add a new parameter to the parameters property of this instance of Link.
`default Link`
Link.`description(String description)`
Sets this Link's description property to the given string.
`default Link`
Link.`operationId(String operationId)`
Sets this Link's operationId property to the given string.
`default Link`
Link.`operationRef(String operationRef)`
Sets this Link's operationRef property to the given string.
`default Link`
Link.`parameters(Map<String,Object> parameters)`
Sets this Link's parameters property to the given map and returns the modified Link instance.
`default Link`
Link.`requestBody(Object requestBody)`
Sets this Link's requestBody property to the given object.
`default Link`
Link.`server(Server server)`
Sets this Link's server property to the given object.

## Uses of Link in org.eclipse.microprofile.openapi.models.responses

Methods in org.eclipse.microprofile.openapi.models.responses that return types with arguments of type Link
Modifier and Type
Method
Description
`Map<String,Link>`
APIResponse.`getLinks()`
Returns the operations links that can be followed from this instance of ApiResponse.
Methods in org.eclipse.microprofile.openapi.models.responses with parameters of type Link
Modifier and Type
Method
Description
`APIResponse`
APIResponse.`addLink(String name, Link link)`
Adds a link to this instance of ApiResponse using the given name and Link, and returns this ApiResponse instance.
Method parameters in org.eclipse.microprofile.openapi.models.responses with type arguments of type Link
Modifier and Type
Method
Description
`default APIResponse`
APIResponse.`links(Map<String,Link> links)`
Sets the operations links that can be followed from this instance of ApiResponse.
`void`
APIResponse.`setLinks(Map<String,Link> links)`
Sets the operations links that can be followed from this instance of ApiResponse.